//Javascript Orios Page
var xmlHttp
function nuevoAjax()
{
	var xmlhttp=false;
 	try {
 		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
 	} catch (e) {
 		try {
 			xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
 		} catch (E) {
 			xmlhttp = false;
 		}
  	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
 		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}


function filtropaciente(tipousuario)
{
	document.getElementById('filtro').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";

	pac=nuevoAjax();
	var nompac=document.getElementById('nompaciente').value;
	if (nompac=="")
	{
		alert('Para buscar, ingrese el nombre');
		document.getElementById('filtro').innerHTML= "<p class='style4' align='center'>Intente nuevamente su consulta.</p>";
		return;
	}

	pac.open("GET", "pacientes_consultas_ajax.php?nompac="+nompac+"&tipousuario="+tipousuario,true);
	pac.onreadystatechange= 
	function() 
		{ 	
			if (pac.readyState==4) { 
			document.getElementById('filtro').innerHTML=pac.responseText; 
		} 
	} 
	pac.send(null);
}

function filtroexpediente(tipousuario)
{
	document.getElementById('filtro').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	expe=nuevoAjax();
	var expedi=document.getElementById('expedi').value;
	if (expedi=="")
	{
		alert('Para buscar, ingrese el número de expediente');
		document.getElementById('filtro').innerHTML= "<p class='style4' align='center'>Intente nuevamente su consulta.</p>";
		return;
	}

	expe.open("GET", "pacientes_consultas_ajax.php?expedi="+expedi+"&tipousuario="+tipousuario,true);
	expe.onreadystatechange= 
	function() 
		{ 	
			if (expe.readyState==4) { 
			document.getElementById('filtro').innerHTML=expe.responseText; 
		} 
	} 
	document.getElementById('expedi').value="";
	expe.send(null);
}

function filtrotipo(tipousuario)
{
	document.getElementById('filtro').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";
	tipopac=nuevoAjax();
	var tipo=document.getElementById('tipo').value;
	if (tipo==0)
	{
		return;
	}
	tipopac.open("GET", "pacientes_consultas_ajax.php?tipo="+tipo+"&tipousuario="+tipousuario,true);
	tipopac.onreadystatechange= 
	function() 
		{ 	
			if (tipopac.readyState==4) 
			{ 
			document.getElementById('filtro').innerHTML=tipopac.responseText; 
			} 
	} 
	document.getElementById('tipo').value="0";
	tipopac.send(null);
}

function filtrofecha(tipousuario)
{
	document.getElementById('filtro').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";

	ffe=nuevoAjax();
	var de=document.getElementById('fecha').value;
	var al=document.getElementById('fecha2').value;
	
	ffe.open("GET", "pacientes_consultas_ajax.php?fecha="+de+"&fecha2="+al+"&tipousuario="+tipousuario,true);
	ffe.onreadystatechange= 
	function() 
		{ 	
			if (ffe.readyState==4) { 
			document.getElementById('filtro').innerHTML=ffe.responseText; 
		} 
	} 
	ffe.send(null);
}

function filtrosinregistro(tipousuario)
{
	document.getElementById('filtro').innerHTML= "<center><img src='img/ajax-loader.gif'><p class='style4'>Procesando...</p></center>";

	ffe=nuevoAjax();
	
	ffe.open("GET", "pacientes_consultas_ajax.php?sinfecha=0000-00-00&tipousuario="+tipousuario,true);
	ffe.onreadystatechange= 
	function() 
		{ 	
			if (ffe.readyState==4) { 
			document.getElementById('filtro').innerHTML=ffe.responseText; 
		} 
	} 
	ffe.send(null);
}